Connection bridges

A list of all publicly available methods for interacting with the API.

GET

Get package super proxy

/package/super-proxy/{id}

Get available connection servers (Some servers can give better speed).

This method requires authorization!
You can use your own API key, which can be obtained at control panel.
This method - requires permissions -packages-proxies.read
When creating an API token in your control panel, you can choose certain permissions (for example: prevent the token from placing orders).
You can also find a list of permissions in our documentation.

Query method

GEThttps://api.stableproxy.com/v2/package/super-proxy/{id}

Query parameters

IdentifierRegulationsExample
with-hiddenNot necessarilynullableex-booleanfalse
countriesNot necessarilynullablearray{"UA": 10, "PL": 20}
searchNot necessarilynullablestring191
per-pageNot necessarilynullableinteger245
pageNot necessarilynullableinteger1
sort-byNot necessarilynullablestringapp\_validators\_ex_in_rule""
sort-orderNot necessarilynullablestringin:asc, desc"asc"
countries.*Not necessarilydistinctstringcountry_code{"UA": 10, "PL": 20}
id1required64

Code examples

1const baseUrl = "https://api.stableproxy.com/v2";
2const response = await fetch(baseUrl + "/package/super-proxy/{id}", {
3 method: "GET",
4 headers: {
5 "Authorization": "API-Token [YOUR TOKEN]",
6 "Content-Type": "application/json"
7 }
8});
9const data = await response.json();

Examples of answers

Success response200application/json
{
  "data": {
    "current_page": 1,
    "data": [
      {
        "valid": true,
        "username": "jQEVjm",
        "type": null,
        "selected": false,
        "proxy_version": 2,
        "proxy_address": "s-15543.stable.ovh",
        "ports": {
          "http": 11000,
          "socks5": 11000,
          "superproxy": 11000
        },
        "password": "iimVF4qCwMfL",
        "note": null,
        "last_verification": "2022-12-17T12:34:33.000000+02:00",
        "is_super_proxy": true,
        "is_ipv4": false,
        "id": 5,
        "country_code": "ALL",
        "city_name": "",
        "add_ip_to_username": false
      },
      {
        "valid": true,
        "username": "jQEVjm",
        "type": null,
        "selected": true,
        "proxy_version": 2,
        "proxy_address": "test-peer.stableproxy.com",
        "ports": {
          "http": 21000,
          "socks5": 21000,
          "superproxy": 21000
        },
        "password": "iimVF4qCwMfL",
        "note": null,
        "last_verification": "2022-12-17T12:34:33.000000+02:00",
        "is_super_proxy": true,
        "is_ipv4": false,
        "id": 22,
        "country_code": "US",
        "city_name": "",
        "add_ip_to_username": false
      }
    ],
    "first_page_url": "https://api.stableproxy.com/v2/package/super-proxy/15543?page=1",
    "from": 1,
    "last_page": 1,
    "last_page_url": "https://api.stableproxy.com/v2/package/super-proxy/15543?page=1",
    "next_page_url": null,
    "path": "https://api.stableproxy.com/v2/package/super-proxy/15543",
    "per_page": 25,
    "prev_page_url": null,
    "to": 12,
    "total": 12
  },
  "good": true,
  "timestamp": 1731360459,
  "cause": {
    "type": "user",
    "user_id": 1,
    "token_id": 9845,
    "token_sign": "edd87db549cd52292a47ad455bbea947"
  }
}